Public Class frmGPA

  Private Sub btnDetermine_Click(ByVal sender As System.Object,
                           ByVal e As System.EventArgs) Handles btnDetermine.Click
    Dim gpa As Double = CDbl(txtGPA.Text)
    Dim honors As String = ""
    If gpa >= 3.9 Then
      honors = " summa cum laude."
    ElseIf gpa >= 3.6 Then
      honors = " magna cum laude."
    ElseIf gpa >= 3.3 Then
      honors = " cum laude."
    ElseIf gpa >= 2 Then
      honors = "."
    End If
    txtOutput.Text = "You graduated" & honors
  End Sub

End Class
